// -*- mode: jsonc -*-
{
    // "layer": "top", // Waybar at top layer
    // "position": "bottom", // Waybar position (top|bottom|left|right)
    "height" : 30, // Waybar height (to be removed for auto height)
        // "width": 1280, // Waybar width
        "spacing" : 4, // Gaps between modules (4px)
        // Choose the order of the modules
        "modules-left" : [
          "hyprland/workspaces",
          "hyprland/window"
    ],
    "modules-center": [
        "clock"
    ],
    "modules-right": [
        "mpris",
        "idle_inhibitor",
        "power-profiles-daemon",
        //"cpu",
        //"memory",
        //"temperature",
        //"backlight",
        "tray",
        "keyboard-state",
        "privacy",
        "bluetooth",
        "network",
        "pulseaudio",
        //"hyprland/language",
        "battery"
    ],
    // Modules configuration
    "hyprland/workspaces": {
         "disable-scroll": true,
         "all-outputs": true,
         "warp-on-scroll": false,
         "format": "{icon}",
         "format-icons": {
    //         "1": "",
    //         "2": "",
    //         "3": "",
    //         "4": "",
    //         "5": "",
    //         "urgent": "",
             "active": "󰄯",
             "default": "󰄰"
         }
     },
    "keyboard-state": {
        "numlock": false,
        "capslock": true,
        "format": "{icon}",
        "format-icons": {
            "locked": "󰪛",
            "unlocked": "󰍀"
        }
    },
    "hyprland/mode": {
        "format": "<span style=\"italic\">{}</span>"
    },
    "hyprland/scratchpad": {
        "format": "{icon} {count}",
        "show-empty": false,
        "format-icons": ["", ""],
        "tooltip": true,
        "tooltip-format": "{app}: {title}"
    },
    "mpris": {
	      "format": "{player_icon}",
	      "format-paused": "{player_icon}",
        "dynamic-order": ["position","length"],
        "tooltip-format": "{title} - {artist} ({player}) | {dynamic}",
        "interval": 1,
	      "player-icons": {
		            "default": "󰐊",
		            "mpv": "🎵",
                "yesplaymusic": "󰎆",
                "Qcm": "󰎆"
	      },
	      "status-icons": {
		            "paused": "󰏤"
	      },
	// "ignored-players": ["firefox"]
    },
    //"mpd": {
    //    "format": "{stateIcon} {consumeIcon}{randomIcon}{repeatIcon}{singleIcon}{artist} - {album} - {title} ({elapsedTime:%M:%S}/{totalTime:%M:%S}) ⸨{songPosition}|{queueLength}⸩ {volume}% ",
    //    "format-disconnected": "Disconnected ",
    //    "format-stopped": "{consumeIcon}{randomIcon}{repeatIcon}{singleIcon}Stopped ",
    //    "unknown-tag": "N/A",
    //    "interval": 5,
    //    "consume-icons": {
    //        "on": " "
    //    },
    //    "random-icons": {
    //        "off": "<span color=\"#f53c3c\"></span> ",
    //        "on": " "
    //    },
    //    "repeat-icons": {
    //        "on": " "
    //    },
    //    "single-icons": {
    //        "on": "1 "
    //    },
    //    "state-icons": {
    //        "paused": "",
    //        "playing": ""
    //    },
    //    "tooltip-format": "MPD (connected)",
    //    "tooltip-format-disconnected": "MPD (disconnected)"
   // },
    "idle_inhibitor": {
        "format": "{icon}",
        "format-icons": {
            "activated": "󰛊",
            "deactivated": "󰾫"
        }
    },
    "tray": {
        "icon-size": 15,
        "spacing": 15
    },
    "clock": {
        "format": "{:%a %b %d   %T}",
        "interval": 1,
        // "timezone": "America/New_York",
        "tooltip-format": "<span size='9pt' font='Sarasa Mono SC'>{calendar}</span>", //fix calendar align
        //"format-alt": "{:%Y-%m-%d}"
        "calendar": {
            "mode": "month",
            "mode-mon-col": 3,
            "weeks-pos": "right",
            "on-scroll": 1,
            "format": {
                "months":     "<span color='#eceff4'><b>{}</b></span>",
                "days":       "<span color='#eceff4'><b>{}</b></span>",
                "weeks":      "<span color='#d8dee9'><b>W{}</b></span>",
                "weekdays":   "<span color='#eceff4'><b>{}</b></span>",
                "today":      "<span color='#5e81ac'><b><u>{}</u></b></span>"
            }
        }
    },
    "cpu": {
        "format": "{usage}% ",
        "tooltip": false
    },
    "memory": {
        "format": "{}% "
    },
    "temperature": {
        // "thermal-zone": 2,
        // "hwmon-path": "/sys/class/hwmon/hwmon2/temp1_input",
        "critical-threshold": 80,
        // "format-critical": "{temperatureC}°C {icon}",
        "format": "{temperatureC}°C {icon}",
        "format-icons": ["", "", ""]
    },
    "backlight": {
        // "device": "acpi_video1",
        "format": "{percent}% {icon}",
        "format-icons": ["", "", "", "", "", "", "", "", ""]
    },
    "battery": {
        "states": {
            // "good": 95,
            "warning": 20,
            "critical": 15
        },
        "interval": 10,
        "format": "{icon} {capacity}%",
        "format-full": "{icon} {capacity}%",
        "format-charging": "󰂄 {capacity}%",
        "format-plugged": "󰠠 {capacity}%",
        "tooltip-format": "{timeTo} \n {power}w consumed",
        //"format-alt": "{time} {icon}",
        // "format-good": "", // An empty format will hide the module
        // "format-full": "",
        "format-icons": ["󰁻", "󰁽", "󰁿", "󰂁", "󰁹"],
        "on-click-right": "~/.config/rofi/scripts/powermenu/powermenu.sh"
    },
    "battery#bat2": {
        "bat": "BAT2"
    },
    "power-profiles-daemon": {
      "format": "{icon}",
      "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
      "tooltip": true,
      "format-icons": {
        "default": "󱐋",
        "performance": "󱐋",
        "balanced": "󰾅",
        "power-saver": "󰌪"
      }
    },
    "privacy": {
	    "icon-spacing": 5,
	    "icon-size": 13,
	    "transition-duration": 250,
	    "modules": [
		      {
			      "type": "screenshare",
			      "tooltip": true,
			      "tooltip-icon-size": 15
		      },
		      {
			      "type": "audio-out",
			      "tooltip": true,
			      "tooltip-icon-size": 15
		      },
		      {
			      "type": "audio-in",
			      "tooltip": true,
			      "tooltip-icon-size": 15
		      }
	    ]
    },
    "bluetooth": {
	      "format": "󰂯",
	      "format-connected": "󰂱",
	      "format-connected-battery": "󰂱",
	      // "format-device-preference": [ "device1", "device2" ], // preference list deciding the displayed device
	      "tooltip-format": "{controller_alias}\t{controller_address}\n\n{num_connections} connected",
	      "tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{num_connections} connected\n\n{device_enumerate}",
	      "tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
	      "tooltip-format-enumerate-connected-battery": "{device_alias}\t{device_address}\t{device_battery_percentage}%",
        "on-click": "blueberry"
    },
    "network": {
        // "interface": "wlp2*", // (Optional) To force the use of this interface
        "format-wifi": "󰤥 {signalStrength}%",
        "format-ethernet": "󰈀",
        "tooltip-format": "{ifname} via {gwaddr} 󱂇 \n IP: {ipaddr} \n ↑ {bandwidthUpBytes} / {bandwidthDownBytes} ↓",
        "format-linked": "{ifname} (No IP) ",
        "format-disconnected": "󰤯",
        "on-click": "networkmanager_dmenu",
        "interval": 5
    },
    "pulseaudio": {
        // "scroll-step": 1, // %, can be a float
        "format": "{icon} {volume}%",
        "format-bluetooth": "{volume}% {icon} {format_source}",
        "format-bluetooth-muted": "󰝟 {icon} {format_source}",
        "format-muted": "󰝟",
        "format-source": "󰍬",
        "format-source-muted": "",
        "format-icons": {
            "headphone": "󰋋",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": ["󰕿", "󰖀", "󰕾"]
        },
        "on-click": "pavucontrol"
    },
    "custom/media": {
        "format": "{icon} {}",
        "return-type": "json",
        "max-length": 40,
        "format-icons": {
            "spotify": "",
            "default": "🎜"
        },
        "escape": true,
        "exec": "$HOME/.config/waybar/mediaplayer.py 2> /dev/null" // Script in resources folder
        // "exec": "$HOME/.config/waybar/mediaplayer.py --player spotify 2> /dev/null" // Filter player based on name
    }
}
